Axuz Developers

DELETE /teams/{teamId}/tasks/{id}/watchers/{userId}

— DELETE /tasks/{id}/watchers/{userId}.

  • Access: Team member
  • Service: https://api-workspace.axuz.net

Accepted authentication

  • sessionCookie — Sessão plena Axuz (cookie de sessão da casa). Sessão restrita é 403 enrollment_required.
  • bearerSession — JWT de acesso da sessão em `Authorization: Bearer`.

Retorno: 200; 400; 403 (terceiro sem ser admin); 404 (não era watcher).

Parameters

NameInTypeRequiredDescription
teamIdpathstringyes
idpathstringyes
userIdpathstringyes

Responses

200

Ver descrição

400

Ver descrição

NameTypeRequiredDescription
errorstringyes

401

Sem credencial valida

NameTypeRequiredDescription
errorstringyes

403

Sem permissao (nao e owner/admin; token sem escopo; token de integracao em rota nao permitida)

NameTypeRequiredDescription
errorstringyes

404

(não era watcher)

NameTypeRequiredDescription
errorstringyes

429

Limite de requisições excedido.

NameTypeRequiredDescription
errorstringyes

500

Erro interno. Tente de novo com backoff; reporte o X-Request-Id.

NameTypeRequiredDescription
errorstringyes

Examples

"Try it" is turned off in this reference. Use the examples with your test credential.

curl

curl -sS -X DELETE 'https://api-workspace.axuz.net/teams/TEAM_ID/tasks/ID/watchers/USER_ID' \
  -H "Authorization: Bearer $AXUZ_TOKEN"

Node.js

const res = await fetch("https://api-workspace.axuz.net/teams/TEAM_ID/tasks/ID/watchers/USER_ID", {
  method: 'DELETE',
  headers: {
    Authorization: `Bearer ${process.env.AXUZ_TOKEN}`,
  },
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());

Python

import os
import requests

res = requests.request(
    "DELETE",
    "https://api-workspace.axuz.net/teams/TEAM_ID/tasks/ID/watchers/USER_ID",
    headers={
        "Authorization": f"Bearer {os.environ['AXUZ_TOKEN']}",
    },
    timeout=30,
)
res.raise_for_status()
print(res.json())